{% extends "page.html" %}

{% set query = c.pkg_dict or pkg_dict %}
{% set data = data or {} %}
{% set errors = errors or {} %}

{% if model_index != 2 and model_index != 5 %}
    {% set show_bar_chart = 1 %}
{% else %}
    {% set show_bar_chart = 0 %}
{% endif %}

{% if model_index != 5 and model_index != 6 and model_index != 7 and model_index != 1%}
    {% set show_pie_chart = 1 %}
{% else %}
    {% set show_pie_chart = 0 %}
{% endif %}

{% set show_line_chart = 1 %}

{% if model_index != 5 %}
    {% set show_multiple_line_chart = 1 %}
{% else %}
    {% set show_multiple_line_chart = 0 %}
{% endif %}


{% block breadcrumb_content_selected %} class="active"{% endblock %}

{% block subtitle %}{{ _('Statistics') }}{% endblock %}

{% block breadcrumb_content %}
    <li class="active"><a href="">{{ _('Statistics') }}</a></li>
{% endblock %}

{% block primary_content %}
    <article class="module">
        <div class="module-content">
            {% block primary_content_inner %}{% endblock %}
        </div>
    </article>
{% endblock %}

{% block primary %}

    {% block page_header %}
        <header class="module-content page-header hug">
            <ul class="nav nav-tabs">
                {{ h.build_nav_icon('statistics_current_selection', _('Current State')) }}
                {{ h.build_nav_icon('statistics_evolution_selection', _('Evolution')) }}
            </ul>
        </header>
    {% endblock %}

    {% block statistics_update_button %}
        {% if allowed_to_update %}
            <div class="statistics-update-div">
                <p class="statistics-update-text">
                    WARNING: The statistics table and the xls-file resource of the "EDP Dataset Statistics" dataset will be updated, after clicking the "Update Statistics" button!
                    <br>
                    This will take several minutes.
                </p>
                {% if request.params['updating'] %}
                    <form method="post" class="statistics-update-button form-horizontal" action="{{ h.url_for(controller='ckanext.eodp.statistics.statistic_controller:StatisticController', action='update_statistics') }}">
                        <button type="submit" class="btn btn-primary" disabled title="{{ _('Update Statistics') }}">{{ _('Update Statistics') }}</button>
                    </form>
                    <br>
                    <p class="statistics-update-text">Updating...</p>
                {% else %}
                    <form method="post" class="statistics-update-button form-horizontal" action="{{ h.url_for(controller='ckanext.eodp.statistics.statistic_controller:StatisticController', action='update_statistics') }}">
                        <button type="submit" class="btn btn-primary" title="{{ _('Update Statistics') }}">{{ _('Update Statistics') }}</button>
                    </form>
                {% endif %}
            </div>
        {% endif %}
    {% endblock %}

    {% block statistics_selection %}
        <div class="statistics-selection-div">
            <form method="post" class="statistics-form form-horizontal" data-module="select-switch" action="{{ h.url_for(controller='ckanext.eodp.statistics.statistic_controller:StatisticController', action='call_model_functions_current') }}">
                <label>{{ _('Select the Statistic Type') }}</label>
                <select id="field-statistics-select-model" name="statistic-models">
                    {% for model in models %}
                        {% if loop.index == model_index %}
                            <option selected value="{{ loop.index }}">{{ _(model.title) }}</option>
                        {% else %}
                            <option value="{{ loop.index }}">{{ _(model.title) }}</option>
                        {% endif %}
                    {% endfor %}
                </select>
            </form>
        </div>
    {% endblock %}

    {% if dataset_model %}
        {% block chartjs_graphs %}
            {% resource "edp_theme/chartjs/charts.js" %}
            {% resource "chart_js/Chart.js" %}

            {% block statistics_pie_chart %}
                    {% snippet 'statistic/snippets/pie_chart.html', dataset_model=dataset_model, data=data_pie %}
            {% endblock %}

            <body onload="pie_chart({{ h.to_json(data_pie) }}, 'pie_chart', true);"></body>


        {% endblock %}
    {% endif %}

{% endblock %}

{% block secondary %}{% endblock %}

